//  Diffusion Client Library for iOS, tvOS and OS X / macOS
//
//  Copyright (c) 2015, 2018 Push Technology Ltd., All Rights Reserved.
//
//  Use is subject to license terms.
//
//  NOTICE: All information contained herein is, and remains the
//  property of Push Technology. The intellectual and technical
//  concepts contained herein are proprietary to Push Technology and
//  may be covered by U.S. and Foreign Patents, patents in process, and
//  are protected by trade secret or copyright law.

@import Foundation;

/**
 Indicates the type of update represented by PTDiffusionContent, which may vary
 according to topic type.

 @deprecated Since 6.1. This class is only required to support the deprecated
 PTDiffusionTopicStreamDelegate, which in turn is only required to support the
 deprecated stateless and record topic types. It will be removed along with
 these topic types in a future release.

 @since 5.6
 */
__deprecated_msg("Will be removed in a future release.")
typedef NS_ENUM(NSUInteger, PTDiffusionUpdateType) {
    /**
     The content represents a delta of change to the topic state.

     @since 5.6
     */
    PTDiffusionUpdateType_Snapshot = 1,

    /**
     The content is a complete representation of topic state.

     @since 5.6
     */
    PTDiffusionUpdateType_Delta = 2,
};

NS_ASSUME_NONNULL_BEGIN

/**
 Returns a localized string representation of the given update type.

 @param updateType The update type for which a description is to be returned.
 
 @since 5.7
 */
__deprecated_msg("Will be removed in a future release.")
NSString* PTDiffusionUpdateTypeToString(PTDiffusionUpdateType updateType);

NS_ASSUME_NONNULL_END
